com.aliyun.svideosdk.editor

## Interface AliyunIAugmentationController

-     public interface AliyunIAugmentationController

  v3.25.0 新增

  画面增强控制类

  您可以通过该控制器，设置画面的亮度，对比度，暗角等

  设置完必须调用 #apply `apply()`方法应用生效。

  注意：

  1，设置完属性必须调用#apply `apply()`生效

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `apply()` 应用变化结果
    `float` | `getBrightness()` 获取当前亮度值
    `float` | `getContrast()` 获取当前对比度值
    `float` | `getSaturation()` 获取当前饱和度值
    `float` | `getSharpness()` 获取当前锐化值
    `float` | `getVignette()` 获取当前锐化值
    `void` | `resetDefault()` 恢复默认
    `AliyunIAugmentationController` | `setBrightness(float value)` 设置亮度
    `AliyunIAugmentationController` | `setContrast(float value)` 设置对比度
    `AliyunIAugmentationController` | `setSaturation(float value)` 设置饱和度
    `AliyunIAugmentationController` | `setSharpness(float value)` 设置锐化程度
    `AliyunIAugmentationController` | `setVignette(float value)` 设置暗角

- - ### Method Detail

    - #### setBrightness

          AliyunIAugmentationController setBrightness(float value)

      设置亮度
      Parameters:
        `value` - 0~1

    - #### setContrast

          AliyunIAugmentationController setContrast(float value)

      设置对比度
      Parameters:
        `value` - 0~1

    - #### setSaturation

          AliyunIAugmentationController setSaturation(float value)

      设置饱和度
      Parameters:
        `value` - 0~1

    - #### setSharpness

          AliyunIAugmentationController setSharpness(float value)

      设置锐化程度
      Parameters:
        `value` - 0~1

    - #### setVignette

          AliyunIAugmentationController setVignette(float value)

      设置暗角
      Parameters:
        `value` - 0~1

    - #### apply

          int apply()

      应用变化结果

    - #### resetDefault

          void resetDefault()

      恢复默认

    - #### getBrightness

          float getBrightness()

      获取当前亮度值
      Returns:

    - #### getContrast

          float getContrast()

      获取当前对比度值
      Returns:

    - #### getSaturation

          float getSaturation()

      获取当前饱和度值
      Returns:

    - #### getSharpness

          float getSharpness()

      获取当前锐化值
      Returns:

    - #### getVignette

          float getVignette()

      获取当前锐化值
      Returns: